#pragma once

#include <cstdint>

#include "esp_err.h"

esp_err_t connect_ethernet(bool blockUntilIPAcquired);
void disconnect_ethernet();
esp_err_t check_ethernet_connection(uint32_t timeoutSeconds);

esp_err_t connect_wifi(const char *ssid, const char *password, bool blockUntilIPAcquired);
void disconnect_wifi();
esp_err_t check_wifi_connection(uint32_t timeoutSeconds);
